%define upstream_name	 MIME-Explode
%define	upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl extension for explode MIME messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
MIME::Explode is perl module for parsing and decoding single or multipart
MIME messages, and outputting its decoded components to a given directory
ie, this module is designed to allows users to extract the attached files
out of a MIME encoded email messages or mailboxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README examples
%{perl_vendorarch}/MIME
%{perl_vendorarch}/auto/MIME
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.390.0-11.mga6
+ Revision: 1029892
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.390.0-10.mga6
+ Revision: 957769
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.390.0-9.mga6
+ Revision: 842666
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.390.0-8.mga5
+ Revision: 747973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.390.0-7.mga5
+ Revision: 685294
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.390.0-6.mga5
+ Revision: 631404
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.390.0-5.mga4
+ Revision: 524415
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.390.0-4.mga4
+ Revision: 430874
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-3.mga3
+ Revision: 369325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.390.0-2.mga3
+ Revision: 250950
- rebuild for perl 5.16

* Mon Jun 27 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 114636
- update to 0.39

* Fri Jun 17 2011 pterjan <pterjan> 0.380.0-3.mga2
+ Revision: 108568
- Fix build with perl 5.14

  + jquelin <jquelin>
    - remove %%clean

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.380.0-2.mga1
+ Revision: 30759
- mageia rebuild
- imported package perl-MIME-Explode


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-2mdv2011.0
+ Revision: 556006
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 403861
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.38-5mdv2009.0
+ Revision: 257834
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.38-4mdv2009.0
+ Revision: 245877
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.38-2mdv2008.1
+ Revision: 152129
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2007.0
- New version 0.38

* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.37-1mdk
- initial Mandriva package

